<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetData StructType
 * @subpackage Structs
 */
class GetData extends AbstractStructBase
{
    /**
     * The xmlString
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $xmlString;
    /**
     * Constructor method for GetData
     * @uses GetData::setXmlString()
     * @param string $xmlString
     */
    public function __construct($xmlString = null)
    {
        $this
            ->setXmlString($xmlString);
    }
    /**
     * Get xmlString value
     * @return string|null
     */
    public function getXmlString()
    {
        return $this->xmlString;
    }
    /**
     * Set xmlString value
     * @param string $xmlString
     * @return \StructType\GetData
     */
    public function setXmlString($xmlString = null)
    {
        // validation for constraint: string
        if (!is_null($xmlString) && !is_string($xmlString)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($xmlString)), __LINE__);
        }
        $this->xmlString = $xmlString;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetData
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
